"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x109944f40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x109945080>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x109944fe0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x109945120>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1099451c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x109945260>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x109945300>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1099453a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x109945440>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1099454e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x109945580>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x109945620>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1099456c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x109945760>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x109945800>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1099458a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x109945940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1099459e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x109945a80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x109945b20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x109945bc0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x109945c60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x109945d00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x109945da0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x109945e40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x109945ee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x109945f80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x109946020>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1099460c0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x109946160>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x109946200>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1099462a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x109946340>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1099463e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x109946480>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x109946520>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1099465c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x109946660>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x109946700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1099467a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x109946840>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1099468e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x109946980>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x109946a20>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x109946ac0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x109946b60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x109946c00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x109946ca0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x109946d40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x109946de0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x109946e80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x109946f20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x109946fc0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x109947060>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x109947100>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1099471a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x109947240>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1099472e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x109947380>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x109947420>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1099474c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x109947560>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x109947600>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1099476a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x109947740>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1099477e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x109947880>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x109947920>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1099479c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x109947a60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x109947b00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x109947ba0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x109947c40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x109947ce0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x109947d80>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x109947e20>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x109947ec0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x109947f60>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x109954040>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x109954180>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1099540e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x109954220>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1099542c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x109954360>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x109954400>)]
name: str = 'fr_HOCCN'
